package com.jpsoft.picc.modules.business.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.business.entity.ApplicationPolicy;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface ApplicationPolicyDAO {
	int insert(ApplicationPolicy entity);
	int update(ApplicationPolicy entity);
	int exist(String id);
	ApplicationPolicy get(String id);
	int delete(String id);
	List<ApplicationPolicy> list();
	List<ApplicationPolicy> search(Map<String,Object> searchParams,List<Sort> sortList);
}