package com.jpsoft.picc.modules.business.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:business_insurance_policy_member的实体类
 每月投保单花名册
 */
@ApiModel(value = "每月投保单花名册")
public class InsurancePolicyMember {
	private String id;
	private String policyId;
	private String memberId;
	private String status;
	private Boolean isAdd;
	private Boolean delFlag;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;

		/**
	 *获取编号
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置编号
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取每月投保单ID
	 */
	public String getPolicyId(){
		return policyId;
	}
	
	/**
	 *设置每月投保单ID
	 */
	public void setPolicyId(String policyId){
		this.policyId = policyId;
	}
		/**
	 *获取企业用户ID
	 */
	public String getMemberId(){
		return memberId;
	}
	
	/**
	 *设置企业用户ID
	 */
	public void setMemberId(String memberId){
		this.memberId = memberId;
	}
		/**
	 *获取审核状态
	 */
	public String getStatus(){
		return status;
	}
	
	/**
	 *设置审核状态
	 */
	public void setStatus(String status){
		this.status = status;
	}
		/**
	 *获取是否为增补
	 */
	public Boolean getIsAdd(){
		return isAdd;
	}
	
	/**
	 *设置是否为增补
	 */
	public void setIsAdd(Boolean isAdd){
		this.isAdd = isAdd;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "创建时间")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取修改人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置修改人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "修改时间")
		/**
	 *获取修改时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置修改时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
}